var { ToggleButton } = require('sdk/ui/button/toggle');
var panels = require("sdk/panel");
var self = require("sdk/self");
var tabs = require("sdk/tabs");

var button = ToggleButton({
  id: "button",
  label: "button",
  icon: {
    "16": "./icon-16.png",
    "32": "./icon-32.png",
    "64": "./icon-64.png"
  },
  onChange: handleChange
});


function handleChange(state) {

  if (state.checked) {
    panel.show({
      position: button
    });
    panel.port.emit("doSomething",{});
  }
}

var panel = panels.Panel({
  width: 200,
  height: 200,
  contentURL: self.data.url("panel.html"),
  onHide: handleHide,
  contentScriptFile: self.data.url("panel.js")
});

function handleHide() {
  button.state('window', {checked: false});
}

tabs.on("ready", function(tab) {
	if(tab.url.startsWith("http://www.reddit.com")){
		setInternalUrl();
	}
	else if(tab.url.startsWith("https://www.google")){
		setExternalUrl();
	}
});

tabs.on("activate", function(tab){
	if(tab.url.startsWith("http://www.reddit.com")){
		setInternalUrl();
	}
	else if(tab.url.startsWith("https://www.google")){
		setExternalUrl();
	}
});


function setInternalUrl(){
	panel.contentURL = self.data.url("panel.html");
	panel.port.once("scriptReady",function(){
		console.log("content Script has finished running");
	});
}

function setExternalUrl(){
	panel.contentURL = "https://en.wikipedia.org/w/index.php?title=Jetpack&useformat=mobile";
}